varying vec2 texcoord;

// define our rectangular texture samplers 
uniform sampler2DRect tex0;
uniform vec2 texdim0;

uniform float amount;
uniform vec2 origin;

void main (void) 
{ 
	vec2 originNative = origin * texdim0;
	vec2 destination = texcoord - originNative;
//	vec2 off = destination * amount*-0.05; 
	vec2 off = destination * amount*-0.008; 

	vec4 sample0 = texture2DRect(tex0, destination + originNative);
	vec4 sample1 = texture2DRect(tex0, destination + off + originNative);
	vec4 sample2 = texture2DRect(tex0, (destination + off * 2.) + originNative);
	vec4 sample3 = texture2DRect(tex0, (destination + off * 3.) + originNative);
	vec4 sample4 = texture2DRect(tex0, (destination + off * 4.) + originNative);
	vec4 sample5 = texture2DRect(tex0, (destination + off * 5.) + originNative);
	vec4 sample6 = texture2DRect(tex0, (destination + off * 6.) + originNative);
	vec4 sample7 = texture2DRect(tex0, (destination + off * 7.) + originNative);
	vec4 sample8 = texture2DRect(tex0, (destination + off * 8.) + originNative);

	// quasi gaussian distro
/*	vec4 result = sample0 * .25;
	result += (sample4 + sample5) * 0.2;
	result += (sample3 + sample6) * 0.1;
	result += (sample2 + sample7) * 0.05;
	result += (sample1 + sample8) * 0.025;
	gl_FragColor = result;
*/
	//straight averaging	
	gl_FragColor = (sample0 + sample1 + sample2 + sample3 + sample4 + sample5 + sample6 + sample7 + sample8) / 9.0;
} 

